Interface VirtualBandwidthConfiguration
- All Known Implementing Classes:
VirtualBandwidthConfigurationJson
public interface VirtualBandwidthConfiguration
An allowed virtual-bandwidth configuration for an Equinix Internet Access (EIA) v1 service, as
returned by
GET /internetAccess/v1/virtualBandwidthConfigurations.
This is a read-only response view.
-
Method Summary
Modifier and TypeMethodDescription
-
Method Details
-
getUseCase
UseCase getUseCase()- Returns:
- the intended use case (
MAIN,BACKUPorMANAGEMENT_ACCESS)
-
getBilling
BillingType getBilling()- Returns:
- the billing model (
FIXED,USAGE_BASEDorBURST_BASED)
-
getBandwidth
Integer getBandwidth()- Returns:
- the bandwidth, in Mbps
-
getMinBandwidthCommit
Integer getMinBandwidthCommit()- Returns:
- the minimum committed bandwidth, in Mbps
-